aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Watson <>
Subject Re: Current build and org.eclipse.osgi version 3.8.2.v20130124-134944
Date Wed, 04 Jun 2014 13:05:54 GMT

Hi David,

I don't think that is the case here.  This is blueprint and the pom was
updated to simply refer to a new version of equinox.  I suspect it built
locally because the developers local m2 cache likely has the version
configured manually.  But shouldn't the aries build be setup to work
without manual configuration of the local m2 cache?  Is there not an aries
maven repo we can use to place the dependencies we need such as equinox?


From:	David Bosschaert <>
To:	"" <>
Date:	06/04/2014 01:49 AM
Subject:	Re: Current build and org.eclipse.osgi version

It might be downloading it from somewhere (using something like a http
get task) and then using a system dependency to use it in Maven. Not
sure this is the way its used in this particular place, but I think
the subsystems subproject had certain Eclipse dependencies set up this

John Ross might be able to give more details...



On 3 June 2014 20:37, Thomas Watson <> wrote:
> With the latest from trunk I am no longer able to build because of a
> reference to org.eclipse:org.eclipse.osgi:jar:3.8.2.v20130124-134944
> Which repo is this supposed to exist?  Here is the error.
> Failed to execute goal on project org.apache.aries.blueprint.itests:
> not resolve dependencies for project

>  Could not find artifact
> org.eclipse:org.eclipse.osgi:jar:3.8.2.v20130124-134944 in EclipseLink
> (
> Tom

  • Unnamed multipart/related (inline, None, 0 bytes)
View raw message